libnl: Data Fields - Variables

libnl 3.10.0

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- ao_alloc : rtnl_link_af_ops
- ao_clone : rtnl_link_af_ops
- ao_compare : rtnl_link_af_ops
- ao_dump : rtnl_link_af_ops
- ao_family : rtnl_link_af_ops
- ao_fill_af : rtnl_link_af_ops
- ao_fill_af_no_nest : rtnl_link_af_ops
- ao_fill_pi : rtnl_link_af_ops
- ao_fill_pi_flags : rtnl_link_af_ops
- ao_free : rtnl_link_af_ops
- ao_get_af : rtnl_link_af_ops
- ao_parse_af : rtnl_link_af_ops
- ao_parse_af_full : rtnl_link_af_ops
- ao_parse_protinfo : rtnl_link_af_ops
- ao_protinfo_policy : rtnl_link_af_ops
- ao_refcnt : rtnl_link_af_ops
- api : nl_vf_rate
- attrs : genl_info

### - c -

- c_attr_policy : genl_cmd
- c_id : genl_cmd
- c_maxattr : genl_cmd
- c_msg_parser : genl_cmd
- c_name : genl_cmd
- cb_active : nl_cb
- cb_recv_ow : nl_cb
- cb_recvmsgs_ow : nl_cb
- cb_send_ow : nl_cb
- ce_refcnt : nl_vf_vlans

### - d -

- dp_buf : nl_dump_params
- dp_buflen : nl_dump_params
- dp_cb : nl_dump_params
- dp_data : nl_dump_params
- dp_dump_msgtype : nl_dump_params
- dp_fd : nl_dump_params
- dp_ivar : nl_dump_params
- dp_nl_cb : nl_dump_params
- dp_pre_dump : nl_dump_params
- dp_prefix : nl_dump_params
- dp_print_index : nl_dump_params
- dp_type : nl_dump_params

### - g -

- genlhdr : genl_info

### - i -

- io_alloc : rtnl_link_info_ops
- io_clone : rtnl_link_info_ops
- io_compare : rtnl_link_info_ops
- io_dump : rtnl_link_info_ops
- io_free : rtnl_link_info_ops
- io_name : rtnl_link_info_ops
- io_parse : rtnl_link_info_ops
- io_put_attrs : rtnl_link_info_ops
- io_refcnt : rtnl_link_info_ops

### - m -

- max_tx_rate : nl_vf_rate
- maxlen : nla_policy
- min_tx_rate : nl_vf_rate
- minlen : nla_policy

### - n -

- nh_id : nl_nh_group_info
- nlh : genl_info
- ntp_anycast_delay : rtnl_neightbl_parms
- ntp_app_probes : rtnl_neightbl_parms
- ntp_base_reachable_time : rtnl_neightbl_parms
- ntp_gc_stale_time : rtnl_neightbl_parms
- ntp_ifindex : rtnl_neightbl_parms
- ntp_locktime : rtnl_neightbl_parms
- ntp_mask : rtnl_neightbl_parms
- ntp_mcast_probes : rtnl_neightbl_parms
- ntp_probe_delay : rtnl_neightbl_parms
- ntp_proxy_delay : rtnl_neightbl_parms
- ntp_proxy_qlen : rtnl_neightbl_parms
- ntp_queue_len : rtnl_neightbl_parms
- ntp_reachable_time : rtnl_neightbl_parms
- ntp_refcnt : rtnl_neightbl_parms
- ntp_retrans_time : rtnl_neightbl_parms
- ntp_ucast_probes : rtnl_neightbl_parms

### - o -

- o_cache_ops : genl_ops
- o_cmds : genl_ops
- o_hdrsize : genl_ops
- o_id : genl_ops
- o_list : genl_ops
- o_name : genl_ops
- o_ncmds : genl_ops

### - r -

- rate : nl_vf_rate

### - s -

- size : nl_vf_vlans

### - t -

- tt_dump : rtnl_tc_type_ops
- type : nla_policy

### - u -

- userhdr : genl_info

### - v -

- vf_vlan : nl_vf_vlan_info
- vf_vlan_proto : nl_vf_vlan_info
- vf_vlan_qos : nl_vf_vlan_info
- vlans : nl_vf_vlans

### - w -

- weight : nl_nh_group_info
- who : genl_info

### - y -

- yy_bs_column : yy_buffer_state
- yy_bs_lineno : yy_buffer_state
- yy_buffer_stack : yyguts_t
- yy_buffer_stack_max : yyguts_t
- yy_buffer_stack_top : yyguts_t